package tvapp;

use strict;

require Exporter;
use vars       qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);

# set the version for version checking
$VERSION     = 0.00.3;

@ISA         = qw(Exporter);
@EXPORT      = qw(&cronaddcmd);
%EXPORT_TAGS = ( );     # eg: TAG => [ qw!name1 name2! ],

# your exported package globals go here,
# as well as any optionally exported functions
#@EXPORT_OK   = qw($Var1 %Hashit &func3);
@EXPORT_OK   = qw(&cronaddcmd);
#@EXPORT_OK   = qw($Var1 %Hashit &func3);

#use vars qw($Var1 %Hashit);
# non-exported package globals go here
#use vars qw(@more $stuff);

# initialize package globals, first exported ones
#$Var1   = '';
#%Hashit = ();

# then the others (which are still accessible as $Some::Module::stuff)
#$stuff  = '';
#@more   = ();


# file-private lexicals go here
#my $priv_var    = '';
#my %secret_hash = ();


sub cronaddcmd {
   #my $self      = shift;
   my $filmtitle = $_[0];
   my $hh        = $_[1];
   my $mm        = $_[2];
   my $dow       = $_[3];
   my $cmd       = $_[4];

   use Config::Crontab;
   my $ct = new Config::Crontab;
   $ct->read || die "Konnte crontab nicht lesen. $?\n";;

   my $comment = "# Record serial \"$filmtitle\"";

   ## make another block using Block methods
   my $block = new Config::Crontab::Block;
   $block->last( new Config::Crontab::Comment( -data    => $comment ));
   $block->last( new Config::Crontab::Event  ( -minute  => $mm ,
                                               -hour    => $hh ,
                                               -dow     => $dow ,
                                               -command => $cmd ) );
   ## add this block to crontab file
   $ct->last ($block);
   ## save the new crontab
   $ct->write || die "Konnte crontab nicht schreiben. $!\n";;
}


END { }       # module clean-up code here (global destructor)

1;

__END__

=head1 NAME

ModuleName - short discription of your program

=head1 SYNOPSIS

 how to us your module

=head1 DESCRIPTION

 long description of your module

=head1 SEE ALSO

 need to know things before somebody uses your program

=head1 AUTHOR

 Andreas Silberstorff

=cut
